#include<iostream>
#include<stdio.h>
#include<cmath>

using namespace std;

int cif(long int a)
{	
	int k=0;
	if(a==0) k=1;
	while(a>0)
	{
		a/=10;k++;
	}
	return k;
}

int deset(long long a,int k)
{	
	while(k>0)
	{a=a*10;
     k--;
	}
}


int main()
{
	long int a,b,c,x[7]; int pa,pb,pc,px,i;
	scanf("%d%d%d",&a,&b,&c);
	pa=cif(a);
	pb=cif(b);
	pc=cif(c);
	px=pa+pb+pc;
	
	
	x[0]=deset(a,pb+pc)+deset(b,pc)+c;
	x[1]=deset(a,pb+pc)+deset(c,pb)+b;
	x[2]=deset(b,pa+pc)+deset(a,pc)+c;
	x[3]=deset(b,pa+pc)+deset(c,pa)+a;
	x[4]=deset(c,pa+pb)+deset(a,pb)+b;
	x[5]=deset(c,pb+pa)+deset(b,pa)+a;
	long int y=x[0];
	for(i=1;i<6;i++)
	{
		y=max(y,x[i]);
	}
	cout<<y;
}